# Class FormSubmitDirective

#### Hierarchy

- ConfirmClick
  - FormSubmitDirective

#### Implements

- OnDestroy

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:36

#####
Index

### Constructors

constructor

### Properties

afterSubmit
disabled
disableWhileSubmitting
navigateAfterSubmit
resetAfterSubmit
submitting
type

### Accessors

hasConfirmDirective

### Methods

execute
ngOnDestroy
onClick
onConfirm

##
Constructors

### constructor

- new FormSubmitDirective(
  formDirective: FormDirective,
  router?: null | Router,
  ): FormSubmitDirective

  #### Parameters

  - formDirective: FormDirective
  - router: null | Router = null

  #### Returns FormSubmitDirective

  Overrides ConfirmClick.constructor

  - Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:54

##
Properties

### afterSubmit

afterSubmit: OutputEmitterRef<any> = ...

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:44

### disabled

disabled: Signal<boolean> = ...

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:50

### disableWhileSubmitting

disableWhileSubmitting: InputSignal<boolean> = ...

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:46

### navigateAfterSubmit

navigateAfterSubmit: InputSignal<undefined | string[]> = ...

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:42

### resetAfterSubmit

resetAfterSubmit: InputSignalWithTransform<boolean | "", boolean> = ...

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:40

### submitting

submitting: Signal<boolean> = ...

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:48

### type

type: InputSignal<"button" | "submit" | "reset"> = ...

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:38

##
Accessors

### hasConfirmDirective

- set hasConfirmDirective(value: any): void

  #### Parameters

  - value: any

  #### Returns void

  Inherited from ConfirmClick.hasConfirmDirective

  - Defined in packages/angular/directives/src/lib/confirm-click.ts:14

##
Methods

### `Protected` execute

- execute(): void

  #### Returns void

  Overrides ConfirmClick.execute

  - Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:63

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:90

### onClick

- onClick(): void

  #### Returns void

  Inherited from ConfirmClick.onClick

  - Defined in packages/angular/directives/src/lib/confirm-click.ts:19

### onConfirm

- onConfirm(): void

  #### Returns void

  Inherited from ConfirmClick.onConfirm

  - Defined in packages/angular/directives/src/lib/confirm-click.ts:26